National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-3237 Detail

Description

Multiple cross-site scripting (XSS) vulnerabilities in Horde Application Framework 3.2 before 3.2.5 and 3.3 before 3.3.5; Groupware 1.1 before 1.1.6 and 1.2 before 1.2.4; and Groupware Webmail Edition 1.1 before 1.1.6 and 1.2 before 1.2.4; allow remote attackers to inject arbitrary web script or HTML via the (1) crafted number preferences that are not properly handled in the preference system (services/prefs.php), as demonstrated by the sidebar_width parameter; or (2) crafted unknown MIME "text parts" that are not properly handled in the MIME viewer library (config/mime_drivers.php).

Source:  MITRE      Last Modified:  09/17/2009

Quick Info

CVE Dictionary Entry:
CVE-2009-3237
Original release date:
09/17/2009
Last revised:
08/16/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.3 MEDIUM
Vector:
(AV:N/AC:M/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
8.6
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://bugs.horde.org/ticket/?id=8311 External Source CONFIRM http://bugs.horde.org/ticket/?id=8311
http://bugs.horde.org/ticket/?id=8399 External Source CONFIRM http://bugs.horde.org/ticket/?id=8399
http://marc.info/?l=horde-announce&m=125291625030436&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] [SECURITY] Horde 3.2.5 (final)
http://marc.info/?l=horde-announce&m=125292088004087&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] Horde Groupware 1.1.6 (final)
http://marc.info/?l=horde-announce&m=125292314007049&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] Horde Groupware Webmail Edition 1.1.6 (final)
http://marc.info/?l=horde-announce&m=125292339907481&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] [SECURITY] Horde 3.3.5 (final)
http://marc.info/?l=horde-announce&m=125294558611682&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] Horde Groupware 1.2.4 (final)
http://marc.info/?l=horde-announce&m=125295852706029&w=2 Patch External Source MLIST [horde-announce] 20090914 [announce] Horde Groupware Webmail Edition 1.2.4 (final)
https://exchange.xforce.ibmcloud.com/vulnerabilities/53202 External Source XF horde-mimeviewer-xss(53200)

Technical Details

Vulnerability Type (View All)

  • Cross-Site Scripting (XSS) (CWE-79)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:horde:horde_application_framework:3.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.2.1:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.2.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.2.3:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.2.4:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.3:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.3.1:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.3.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.3.3:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_application_framework:3.3.4:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.1.1:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.1.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.1.3:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.1.4:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.1.5:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.2.2:*:*:*:*:*:*:*
cpe:2.3:a:horde:horde_groupware:1.2.3:*:*:*:*:*:*:*
Configuration 2
OR
cpe:2.3:a:horde:groupware:1.1:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1:rc1:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1:rc2:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1:rc3:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1:rc4:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1.1:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1.2:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1.3:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1.4:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.1.6:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2:rc1:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2.1:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2.2:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2.3:*:webmail:*:*:*:*:*
cpe:2.3:a:horde:groupware:1.2.3:rc1:webmail:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes